Bug 979581 - [abrt] BUG: unable to handle kernel paging request at fffffffffffff8cc
[abrt] BUG: unable to handle kernel paging request at fffffffffffff8cc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:c7be95ce5ae076688814d1f508b...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 16:37 EDT by Lukasz Jagiello
Modified: 2013-08-01 23:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-3.10.4-300.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (110.48 KB, text/plain)
2013-06-28 16:37 EDT, Lukasz Jagiello
no flags Details

  None (edit)
Description Lukasz Jagiello 2013-06-28 16:37:46 EDT
Additional info:
reporter:       libreport-2.1.4
BUG: unable to handle kernel paging request at fffffffffffff8cc
IP: [<ffffffff8130924d>] strnlen+0xd/0x40
PGD 1c0f067 PUD 1c11067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse ebtable_nat ipt_MASQUERADE nf_conntrack_netbios_ns nf_conntrack_broadcast ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi rfcomm bnep vfat fat iTCO_wdt iTCO_vendor_support ppdev dell_wmi sparse_keymap snd_hda_codec_hdmi btusb arc4 snd_hda_codec_idt bluetooth iwldvm mac80211 snd_hda_intel dell_laptop acpi_cpufreq mperf coretemp dcdbas snd_hda_codec snd_hwdep microcode snd_seq snd_seq_device i2c_i801 iwlwifi snd_pcm tg3 ptp cfg80211 pps_core lpc_ich snd_page_alloc mfd_core snd_timer rfkill snd soundcore mei parport_pc parport vhost_net tun macvtap macvlan kvm_intel kvm binfmt_misc uinput dm_crypt crc32_pclmul i915 crc32c_intel ghash_clmulni_intel i2c_algo_bit drm_kms_helper sdhci_pci drm firewire_ohci sdhci firewire_core mmc_core crc_itu_t i2c_core wmi video
CPU 0 
Pid: 799, comm: NetworkManager Not tainted 3.9.6-200.fc18.x86_64 #1 Dell Inc. Latitude E5520/03PH4G
RIP: 0010:[<ffffffff8130924d>]  [<ffffffff8130924d>] strnlen+0xd/0x40
RSP: 0000:ffff88022295f318  EFLAGS: 00010086
RAX: ffffffff819e504d RBX: ffffffff81ed72a2 RCX: fffffffffffffffe
RDX: fffffffffffff8cc RSI: ffffffffffffffff RDI: fffffffffffff8cc
RBP: ffff88022295f318 R08: 000000000000ffff R09: 000000000000ffff
R10: 0000000000000000 R11: 000000fffffffe00 R12: fffffffffffff8cc
R13: ffffffff81ed7680 R14: 000000000000ffff R15: 0000000000000000
FS:  00007fc121af4840(0000) GS:ffff88022ec00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: fffffffffffff8cc CR3: 000000020442b000 CR4: 00000000000407f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process NetworkManager (pid: 799, threadinfo ffff88022295e000, task ffff88021f2eaee0)
Stack:
 ffff88022295f358 ffffffff8130ad2e ffff88022ec340b0 ffffffff81ed72a2
 ffffffff81ed7680 ffff88022295f4a0 ffffffffa04b0b34 ffffffffa04b0b34
 ffff88022295f3d8 ffffffff8130bf99 ffff8802228d9c00 0000000000000001
Call Trace:
 [<ffffffff8130ad2e>] string.isra.3+0x3e/0xd0
 [<ffffffff8130bf99>] vsnprintf+0x219/0x640
 [<ffffffff8130c481>] vscnprintf+0x11/0x30
 [<ffffffff81061585>] vprintk_emit+0x115/0x4f0
 [<ffffffff81657bd5>] printk+0x61/0x63
 [<ffffffffa048987f>] ieee80211_chswitch_done+0xaf/0xd0 [mac80211]
 [<ffffffffa04e7b34>] iwl_chswitch_done+0x34/0x40 [iwldvm]
 [<ffffffffa04f83c3>] iwlagn_commit_rxon+0x2a3/0xdc0 [iwldvm]
 [<ffffffffa04ebc50>] ? iwlagn_set_rxon_chain+0x180/0x2c0 [iwldvm]
 [<ffffffffa04e5e76>] iwl_set_mode+0x36/0x40 [iwldvm]
 [<ffffffffa04e5f0d>] iwlagn_mac_remove_interface+0x8d/0x1b0 [iwldvm]
 [<ffffffffa0459b3d>] ieee80211_do_stop+0x29d/0x7f0 [mac80211]
 [<ffffffff81661da5>] ? _raw_spin_unlock_bh+0x15/0x20
 [<ffffffff81574121>] ? dev_deactivate_many+0x1f1/0x240
 [<ffffffffa045a0aa>] ieee80211_stop+0x1a/0x20 [mac80211]
 [<ffffffff8154f7cd>] __dev_close_many+0x7d/0xc0
 [<ffffffff81551fe6>] __dev_close+0x46/0x70
 [<ffffffff81661da5>] ? _raw_spin_unlock_bh+0x15/0x20
 [<ffffffff81555ee1>] __dev_change_flags+0xa1/0x180
 [<ffffffff81556078>] dev_change_flags+0x28/0x70
 [<ffffffff81561ab1>] do_setlink+0x351/0x980
 [<ffffffff81321751>] ? nla_parse+0x31/0xe0
 [<ffffffff815647ae>] rtnl_newlink+0x36e/0x580
 [<ffffffff8118a373>] ? __kmalloc_node_track_caller+0x63/0x2a0
 [<ffffffff81564253>] rtnetlink_rcv_msg+0x113/0x300
 [<ffffffff8154742c>] ? __alloc_skb+0x7c/0x290
 [<ffffffff81564140>] ? __rtnl_unlock+0x20/0x20
 [<ffffffff8157f571>] netlink_rcv_skb+0xb1/0xc0
 [<ffffffff81560975>] rtnetlink_rcv+0x25/0x40
 [<ffffffff8157ee91>] netlink_unicast+0x1a1/0x220
 [<ffffffff8157f211>] netlink_sendmsg+0x301/0x3c0
 [<ffffffff8153a450>] sock_sendmsg+0xb0/0xe0
 [<ffffffff8153bf31>] ? sock_recvmsg+0xc1/0xf0
 [<ffffffff8153be5c>] __sys_sendmsg+0x3ac/0x3c0
 [<ffffffff8153de29>] sys_sendmsg+0x49/0x90
 [<ffffffff8166a5d9>] system_call_fastpath+0x16/0x1b
Code: c0 01 80 38 00 75 f7 48 29 f8 5d c3 31 c0 5d c3 66 66 66 66 66 2e 0f 1f 84 00 00 00 00 00 55 48 85 f6 48 8d 4e ff 48 89 e5 74 2a <80> 3f 00 74 25 48 89 f8 31 d2 eb 10 0f 1f 80 00 00 00 00 48 83 
RIP  [<ffffffff8130924d>] strnlen+0xd/0x40
 RSP <ffff88022295f318>
Comment 1 Lukasz Jagiello 2013-06-28 16:37:52 EDT
Created attachment 766725 [details]
File: dmesg
Comment 2 Josh Boyer 2013-07-01 11:26:36 EDT
Looks like the driver was doing a channel switch and sdata may have had a null ->name ?
Comment 3 Stanislaw Gruszka 2013-07-26 09:58:43 EDT
Patch posted here:
http://marc.info/?l=linux-wireless&m=137484516931555&w=2
Josh, please apply it as fix for this bug.
Comment 4 Josh Boyer 2013-07-26 11:37:10 EDT
Applied to f18-rawhide.  Thanks!
Comment 5 Fedora Update System 2013-07-30 10:08:24 EDT
kernel-3.10.4-300.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.10.4-300.fc19
Comment 6 Fedora Update System 2013-08-01 23:32:25 EDT
kernel-3.10.4-300.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.